qterm (1:0.7.2-2) unstable; urgency=medium

  * Backport all changes from trunk.
  * Bump Standards-Version to 4.1.4. (No changes needed)
  * d/control: Use Salsa platform for Vcs fields.
  * d/control: Bump debhelper compat to v11.
  * d/rules: Use "dh-missing --fail-missing".
  * Apply "wrap-and-sort -abst".

 -- Boyuan Yang <073plan@gmail.com>  Sun, 08 Apr 2018 23:58:47 +0800

qterm (1:0.7.2-1) unstable; urgency=medium

  * New upstream release.
    + Extend port number selection up to 65535. (Closes: #764889)
  * Remove broken icon symlink.
    (Closes: #851902, LP: #581199)
  * Bump Standards-Version to 4.1.0. (No changes needed)
  * Drop all patches, applied upstream.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 24 Sep 2017 19:31:26 +0800

qterm (1:0.7.1-1) unstable; urgency=medium

  * New maintainer. (Closes: #841821)
  * ACK previous NMU. Thanks!
  * New upstream release.
    - Switch to new upstream.
    - Add support to OpenSSL 1.1.0. (Closes: #828524)
  * Put package under Debian Chinese Team.
    - Remove LI Daobing from maintainer list.
      Thank you for all your contribution!
    - Add myself onto uploaders list.
  * Switch from cdbs to dh/debhelper buildsystem.
  * Rewrite copyright file with machine-readable format.
  * Bump debhelper compat v7 -> v10.
  * Bump standard version to 3.9.8.
  * Remove obsolete menu file.
  * Remove obsolete xpm icons.
  * Add a patch to cherry-pick upstream license change.
    - Fixes gpl-openssl license issue.
    - Update d/copyright file.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 03 Jan 2017 20:25:40 +0800

qterm (1:0.5.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc6, using patch from OpenSuSe (Closes: #831093)
  * Remove Yu Guanghui from Uploaders, thanks for all the contributions!
    (Closes: #629018)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Oct 2016 21:34:19 +0200

qterm (1:0.5.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch from Paul Tagliamonte (missing
    include).
    (Closes: #667343)

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 May 2012 14:20:47 +0200

qterm (1:0.5.12-1) unstable; urgency=low

  * new upstream release.
    - Fix "default keyboard profile does not handle 'End' key correctly"
      (Closes: #562188)
  * debian/control:
    - build depends on qt4-dev-tools, libqtscript4-qtbindings, libx11-dev.
    - bump standards version to 3.9.2.

 -- LI Daobing <lidaobing@debian.org>  Sun, 29 May 2011 00:11:28 +0800

qterm (1:0.5.11-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sat, 19 Jun 2010 19:23:30 +0800

qterm (1:0.5.10-1) unstable; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.4.

 -- LI Daobing <lidaobing@debian.org>  Sun, 14 Feb 2010 16:22:04 +0800

qterm (1:0.5.8-1) unstable; urgency=low

  * new upstream release.
  * change debian format to 3.0 (quilt).
  * debian/control: bump standards version to 3.8.3.
  * remove depends on dpatch:
    - update debian/control and debian/rules
    - remove debian/patches dir.

 -- LI Daobing <lidaobing@debian.org>  Wed, 16 Dec 2009 21:36:46 +0800

qterm (1:0.5.7-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - bump standards version to 3.8.2.

 -- LI Daobing <lidaobing@debian.org>  Thu, 02 Jul 2009 18:49:35 +0800

qterm (1:0.5.6+1-1) unstable; urgency=low

  * new upstream release.
    - the upstream release 0.5.6 again for SF#2802669, but does not change
      the version number.

 -- LI Daobing <lidaobing@debian.org>  Mon, 08 Jun 2009 20:58:19 +0800

qterm (1:0.5.6-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Mon, 08 Jun 2009 07:22:50 +0800

qterm (1:0.5.5-1) unstable; urgency=low

  * new upstream release.
    - fix recognition of long URLs (LP: #317443)
    - fix copy problem of the last character (LP: #351613)
  * debian/control:
    - change maintainer email.
    - bump standards version to 3.8.1.

 -- LI Daobing <lidaobing@debian.org>  Sat, 02 May 2009 22:33:15 +0800

qterm (1:0.5.4-2) unstable; urgency=low

  * debian/qterm.links: add a soft link for the icon (Closes: #517157)

 -- LI Daobing <lidaobing@gmail.com>  Thu, 26 Feb 2009 13:16:31 +0800

qterm (1:0.5.4-1) unstable; urgency=low

  * new upstream release.
    - no longer crash under QT4.5 (LP: #332177)
  * debian/patches/08_desktop.dpatch: merged by upstream, removed.
  * debian/patches/00list: updated.

 -- LI Daobing <lidaobing@gmail.com>  Wed, 25 Feb 2009 12:04:40 +0800

qterm (1:0.5.3-2) unstable; urgency=low

  * FTBFS with GCC 4.4: missing #include (Closes: #510670)
    - debian/patches/07_gcc-4.3.dpatch: rename tp 07_gcc-4.4.dpatch
    - debian/patches/07_gcc-4.4.dpatch: updated
    - debian/patches/00list: updated
  * install desktop and icon (LP: #312932)
    - debian/patches/08_desktop.dpatch: added
    - debian/patches/00list: updated
  * debian/control: add ${misc:Depends} to depends, fix
    debhelper-but-no-misc-depends

 -- LI Daobing <lidaobing@gmail.com>  Sun, 04 Jan 2009 19:12:58 +0800

qterm (1:0.5.3-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@gmail.com>  Fri, 28 Nov 2008 19:22:01 +0800

qterm (1:0.5.2-1) experimental; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.0, no changing needed.
  * FTBFS in gcc-4.3
    - debian/control: rebuild depends on dpatch
    - debian/rules: add dpatch support
    - debian/patches/00list: added
    - debian/patches/07_gcc-4.3.dpatch: fix FTBFS in gcc-4.3

 -- LI Daobing <lidaobing@gmail.com>  Sun, 21 Sep 2008 22:16:32 +0800

qterm (1:0.5.1-1) unstable; urgency=low

  * new upstream release
    - debian/control: this version support ssh2 protocol, update description.

 -- LI Daobing <lidaobing@gmail.com>  Tue, 04 Mar 2008 18:45:09 +0800

qterm (1:0.5.0-1) unstable; urgency=low

  * new upstream release
    - debian/control: don't build depends on dpatch.
    - debian/patches/06_desktop.dpatch: removed.
    - debian/patches/00list: removed.
    - debian/qterm.docs: removed.
    - debian/rules: remove dpatch part.
  * build with qt4 and cmake:
    - debian/control: updated, build depends on cdbs >= 0.4.51.
    - debian/rules: updated.

 -- LI Daobing <lidaobing@gmail.com>  Sun, 02 Mar 2008 18:33:17 +0800

qterm (1:0.4.1-1) unstable; urgency=low

  * new upstream release
    - deleted: debian/patches/04_make-isIllChar-more-strict.dpatch
    - deleted: debian/patches/05_distinguish-URL-spans-over-many-rows.dpatch
    - debian/rules: remove the common-install-impl part.
  * debian/watch: updated.
  * debian/patches/00list: updated.
  * debian/control: bump standards version to 3.7.3, no changing needed.
  * debian/copyright: clear license issue.
  * debian/qterm.1: clear confused part, Thanks Bas Wijnen.
  * debian/control: bump compat level from 5 to 6.
  * debian/compat: ditto.
  * Don't build depends on ancient libqt3-compat-headers (Closes: #464807)

 -- LI Daobing <lidaobing@gmail.com>  Sat, 09 Feb 2008 11:45:16 +0800

qterm (1:0.4.0-6) unstable; urgency=low

  * control: s/Home Page/Homepage/
  * compat: 4 -> 5
    - control: depends on debhelper >= 5
  * patches/04_make-isIllChar-more-strict.dpatch: added.
  * patches/05_distinguish-URL-spans-over-many-rows.dpatch: added.
  * patches/06_desktop.dpatch: added.
  * patches/00list: updated.
  * qterm.menu: menu transition.

 -- LI Daobing <lidaobing@gmail.com>  Tue, 09 Oct 2007 22:18:35 +0000

qterm (1:0.4.0-5) unstable; urgency=low

  * rename docs -> qterm.docs
  * add qterm.manpages
    - update rules
  * add qterm.install
    - udpate rules
    - remove dirs
  * rename menu -> qterm.menu
  * hurd-i386 now has libarts1-dev (Closes: #434434)
    - update control.

 -- LI Daobing <lidaobing@gmail.com>  Thu, 26 Jul 2007 00:12:08 +0800

qterm (1:0.4.0-4) unstable; urgency=low

  * fix FTBFS on hurd-i386, Thanks Cyril Brulebois (closes: #391300)

 -- LI Daobing <lidaobing@gmail.com>  Fri,  6 Oct 2006 07:38:46 +0800

qterm (1:0.4.0-3) unstable; urgency=low

  * rules:
    - rewrite the ts->pm script
    - clean: add 'rm -f subdirs'
  * control: add XS-Python-Version XB-Python-Version (closes: #380925)

 -- LI Daobing <lidaobing@gmail.com>  Wed,  9 Aug 2006 16:46:09 +0800

qterm (1:0.4.0-2) unstable; urgency=low

  * set ygh as the uploader.
  * debian/control: depends on python-dev instead of python2.3-dev
  * ship qterm.1 directly, does not build depends on docbook tools
  * debian/rules: do not clean desktop file
  * debian/rules: regeneate pm file from ts

 -- LI Daobing <lidaobing@gmail.com>  Wed, 12 Jul 2006 20:45:28 +0800

qterm (1:0.4.0-1) unstable; urgency=low

  * new upstream release
    - delete patches/03-icon.dpatch

 -- LI Daobing <lidaobing@gmail.com>  Mon, 10 Jul 2006 19:14:36 +0800

qterm (0.4.0pre4-1) unstable; urgency=low

  * new upstream release
    - delete patches/01-amd64.dpatch
    - delete patches/10_g++-4.1-fix.dpatch, thanks nmu (closes: #355663)
  * delete patches/02-openssl.dpatch (openssl fix bug#333101 in 0.9.8a-4)
    - control: build depend on libssl-dev (>= 0.9.8a-4)
  * add patches/03-icon.dpatch: wrong icon name
  * update patches/00list
  * debian/control: change Standards-Version to 3.7.2
  * debian/docs: remove debian/README.Debian
  * debian/rules: do not clean subdirs

 -- LI Daobing <lidaobing@gmail.com>  Thu, 29 Jun 2006 01:15:15 +0800

qterm (0.4.0pre3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch by Martin Michlmayr to fix FTBFS with gcc 4.1 (Closes:
    #355663)

 -- Alexander Schmehl <tolimar@debian.org>  Wed, 21 Jun 2006 19:11:58 +0200

qterm (0.4.0pre3-2) unstable; urgency=low

  * rebuild depends on libssl-dev (>= 0.9.8-1)
  * configure with '--enable-arts --enable-esd'
  * patches/02-openssl.dpatch:
    work with one libssl-dev's bug(#333101) (closes: #337450)

 -- LI Daobing <lidaobing@gmail.com>  Mon, 10 Oct 2005 19:11:05 +0800

qterm (0.4.0pre3-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    - new fsf address
    - update copyright information
  * debian/menu: fix format
  * debian/control: update package description
  * debian/README.Debian: how to setup detecting location from ip environment
  * debian/qterm.dbk: new manpage in docbook format
  * use dpatch to manage patches
    - 01-amd64.dpatch: make qterm buildable under amd64.

 -- LI Daobing <lidaobing@gmail.com>  Sat, 10 Sep 2005 06:18:43 +0800

qterm (0.4.0pre2.ds.3-2) unstable; urgency=low

  * ABI transition
  * debian/control: change Standards-Version to 3.6.2

 -- LI Daobing <lidaobing@gmail.com>  Sat, 13 Aug 2005 19:34:10 +0800

qterm (0.4.0pre2.ds.3-1) unstable; urgency=low

  * New upstream release(clean source to satisfy lintian and linda)
  * New Maintainer(closes: #310552)

 -- Li Daobing <lidaobing@gmail.com>  Thu, 26 May 2005 11:55:35 +0800

qterm (0.4.0pre2-0.3) unstable; urgency=low

  * NMU.
  * Add icon. (closes: #289970)
  * del admin/CVS.
  * debian/control
    - update Standards-Version to 3.6.1.
    - update debhelper to 4.1.0(statisfy compat and cdbs)
  * del debian/manpage.1.ex debian/manpage.sgml.ex

 -- Li Daobing <lidaobing@gmail.com>  Tue, 17 May 2005 07:34:12 +0800

qterm (0.4.0pre2-0.2) unstable; urgency=HIGH

  * Non-maintainer upload.
  * Applied a patch from Andreas Jochens <aj@andaco.de> to fix ambiguous use
    of an overloaded function. (closes: #288390)

 -- Rob Bradford <robster@debian.org>  Fri,  7 Jan 2005 22:26:15 +0000

qterm (0.4.0pre2-0.1) unstable; urgency=low

  * NMU.
  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Sun,  2 Jan 2005 14:18:29 +0800

qterm (0.4.0pre1-0.1) unstable; urgency=low

  * NMU.
  * New upstream release
  * It maybe isn't a real bug. (closes:Bug#272840)

 -- Yu Guanghui <ygh@debian.org>  Mon,  4 Oct 2004 19:53:22 +0800

qterm (0.3.9-0.2) unstable; urgency=low

  * NMU
    * Fixed build errors.

 -- Yu Guanghui <ygh@debian.org>  Wed, 22 Sep 2004 00:27:17 +0800

qterm (0.3.9-0.1) unstable; urgency=low

  * NMU.
  * New upstream release
  * Linked with libqt3-mt-dev. (closes:Bug#187313)

 -- Yu Guanghui <ygh@debian.org>  Mon, 20 Sep 2004 21:26:58 +0800


qterm (0.3.9-1) unstable; urgency=low

  * add more python callback
  * zmodem problem
  * bugfix

 -- Xiaoqiang Wang <xiaokiangwang@yahoo.com.cn>  Thu, 16 Sep 2004 20:55:06 +0200

qterm (0.3.8-2) unstable; urgency=low

  * watch: Renamed to watch.ex because it is not an offical debian
    pachage.
  * rules, control: Migrated to CDBS, this fixed the failure of deb
    pachage building.

 -- SU Yong <yoyosu@ustc.edu.cn>  Tue, 24 Aug 2004 20:48:43 +0800

qterm (0.3.8-1) unstable; urgency=low

  * Great improvements

 -- Xiaoqiang Wang <xiaokiangwang@yahoo.com.cn>  Tue, 24 Aug 2004 11:42:09 +0200

qterm (0.2.0-2) unstable; urgency=low

  * New upstream release (official upload to Debian archive).
  * Build-Depends: libqt3-compat-headers.  Thanks to upstream author
    Xiaoqiang Wang for the tip!

 -- Anthony Fok <foka@debian.org>  Wed, 16 Apr 2003 00:44:42 +0800

qterm (0.2.0-1) unstable; urgency=low

  * 0.2.x first release.
  * Provided on upstream website; not uploaded to Debian.

 -- Xiaoqiang Wang <xiaokiangwang@yahoo.com.cn>  Thu, 10 Apr 2003 17:10:22 +0800

qterm (0.1.9+0.2.0pre2-2) unstable; urgency=medium

  * FTBFS: Missing Build-Depends: xutils (autoconf needs xmkmf to detect X).
    Thanks to Adam Conrad and James Troup for the bug report and solution!
    (Closes: Bug#187115)

 -- Anthony Fok <foka@debian.org>  Wed,  2 Apr 2003 01:34:56 +0800

qterm (0.1.9+0.2.0pre2-1) unstable; urgency=low

  * New upstream development version 0.2.0pre2.

 -- Anthony Fok <foka@debian.org>  Tue,  1 Apr 2003 10:52:45 +0800

qterm (0.1.4-1) unstable; urgency=low

  * Initial Release.

 -- Anthony Fok <foka@debian.org>  Sat, 16 Mar 2002 16:57:20 +0800

